Skip to main content
GET
/
services
/
bens
/
api
/
v1
/
domains
/
{name}
/
events
Get list of events of domain for Detailed domain page
curl --request GET \
  --url https://api.blockscout.com/services/bens/api/v1/domains/{name}/events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "action": "<string>",
      "from_address": {
        "chain_id": "<string>",
        "contract_name": "<string>",
        "domain_info": {
          "address": "<string>",
          "expiry_date": "<string>",
          "name": "<string>",
          "names_count": 123
        },
        "hash": "<string>",
        "is_contract": true,
        "is_token": true,
        "is_verified_contract": true,
        "token_name": "<string>",
        "token_type": "TOKEN_TYPE_UNSPECIFIED"
      },
      "timestamp": "<string>",
      "transaction_hash": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

name
string
required

Name of name, for example vitalik.eth

Query Parameters

chain_id
string<int64>

The chain (network) where domain search should be done

protocol_id
string

Protocol id of domain, default is first priority protocol on that chain

sort
string

Sorting field. Default is timestamp

order
enum<string>
default:ORDER_UNSPECIFIED

Order direction. Default is DESC

Available options:
ORDER_UNSPECIFIED,
ASC,
DESC

Response

A successful response.

items
object[]